db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DERBY-3117) Adjust master build script to require the Java 5 compiler to build Derby
Date Fri, 09 Nov 2007 14:33:50 GMT

     [ https://issues.apache.org/jira/browse/DERBY-3117?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rick Hillegas updated DERBY-3117:
---------------------------------

    Attachment: derby-3117-04-propertySetter-af.diff

Thanks for the continued feedback, Thomas. If JAVA_HOME isn't set, then the ant startup script
makes a good faith effort to set JAVA_HOME to something reasonable. In your case it seems
that ant made a bad choice. Our build script also expects that JAVA_HOME will be set correctly--this
patch does not lift that requirement.

Attaching derby-3117-04-propertySetter-af.diff. This incorporates your suggestion: now PropertySetter
reports when it sets the compiler properties. These are informational messages which appear
by default but which can be suppressed by running ant with the -quiet flag.

Thanks again!

> Adjust master build script to require the Java 5 compiler to build Derby
> ------------------------------------------------------------------------
>
>                 Key: DERBY-3117
>                 URL: https://issues.apache.org/jira/browse/DERBY-3117
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools
>    Affects Versions: 10.4.0.0
>            Reporter: Rick Hillegas
>            Assignee: Rick Hillegas
>         Attachments: BuildDefaults.txt, derby-3117-01-enforceJava5-aa.diff, derby-3117-01-enforceJava5-ab.diff,
derby-3117-01-enforceJava5-ac.diff, derby-3117-02-website-aa.diff, derby-3117-03-junit-aa.diff,
derby-3117-04-propertySetter-aa.diff, derby-3117-04-propertySetter-ab.diff, derby-3117-04-propertySetter-ac.diff,
derby-3117-04-propertySetter-ad.diff, derby-3117-04-propertySetter-ae.diff, derby-3117-04-propertySetter-af.diff,
derby_source.html
>
>
> Require the Java 5 compiler in order to build Derby as approved by the community recently:
http://www.nabble.com/-VOTE--Require-Java-5-%28or-later%29-compiler-to-build-Derby-tf4522491.html#a13030783

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message